View Issue Details

IDProjectCategoryView StatusLast Update
0008091Talerqtartpublic2024-02-10 23:31
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.9.4Fixed in Version0.9.4 
Summary0008091: libcurl used by qtart should link against c-ares to avoid blocking DNS lookups blocking wallet-core
DescriptionNo code change required, we just need to compile libcurl differently.
TagsNo tags attached.

Activities

Florian Dold

2024-01-19 00:33

manager   ~0020916

Implemented in a branch: https://git.taler.net/quickjs-tart.git/log/?h=dev/dold/cares

I've only compiled it on my GNU/Linux system. Separate bugs have been opened for testing on iOS / Android.

Florian Dold

2024-01-19 11:12

manager   ~0020921

Not quite done yet, libcurl isn't configured properly for c-ares yet.

Florian Dold

2024-01-19 11:41

manager   ~0020922

Curl is now also correctly configured. The build system was also adjusted to generated the *public* generated ares config header (ares_build.h) in a better location.

Issue History

Date Modified Username Field Change
2024-01-16 11:11 Florian Dold New Issue
2024-01-16 11:11 Florian Dold Status new => assigned
2024-01-16 11:11 Florian Dold Assigned To => Florian Dold
2024-01-18 15:20 Florian Dold Target Version 0.9.5 => 0.9.4
2024-01-19 00:33 Florian Dold Status assigned => resolved
2024-01-19 00:33 Florian Dold Resolution open => fixed
2024-01-19 00:33 Florian Dold Note Added: 0020916
2024-01-19 11:12 Florian Dold Status resolved => assigned
2024-01-19 11:12 Florian Dold Note Added: 0020921
2024-01-19 11:41 Florian Dold Status assigned => resolved
2024-01-19 11:41 Florian Dold Note Added: 0020922
2024-02-10 23:31 Christian Grothoff Fixed in Version => 0.9.4